%bcond tests 1
%global forgeurl https://github.com/Rogdham/pyzstd
%define tag %{version}

Name:           python-pyzstd
Version:        0.15.10
%forgemeta
Release:        4%{?dist}
Summary:        Python bindings to Zstandard (zstd) compression library

License:        BSD-3-Clause
URL:            %{forgeurl}
Source:         %{forgesource}
# pyzstd_pep517: name config_settings argument correctly (#2)
# pyproject-rpm-macros' config_settings support passes it as a kwarg
Patch:          %{url}/pull/2.patch#/config_settings-fix.patch

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  libzstd-devel
%if %{with tests}
BuildRequires:  %{py3_dist pytest}
%endif

%global _description %{expand:
Pyzstd module provides classes and functions for compressing and decompressing
data, using Facebook’s Zstandard (or zstd as short name) algorithm.}

%description %_description


%package -n python3-pyzstd
Summary:        %{summary}

%description -n python3-pyzstd %_description


%prep
%autosetup -p1 %{forgesetupargs}
# Ensure dynamic-link-zstd is always used
sed -i 's|DYNAMIC_LINK =.*|DYNAMIC_LINK = True|' setup.py
# Stop disabling debuginfo
sed -i "s|'-g0', ||" setup.py
# Fix non-executable-script rpmlint error
sed -i -e '1{\@^#!.*@d}' src/__main__.py
%if v"0%{?python3_version}">= v"3.13"
# Temporary hack to fix Python 3.13 CPython C API change.
# This should be fixed properly in the code.
sed -i 's|_PyLong_AsInt|PyLong_AsInt|' src/bin_ext/*
%endif


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyzstd


%check
%pytest


%files -n python3-pyzstd -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 14 2024 Maxwell G <maxwell@gtmx.me> - 0.15.10-3
- Add temporary fix for Python 3.13 FTBFS

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.15.10-2
- Rebuilt for Python 3.13

* Sun Apr 07 2024 Maxwell G <maxwell@gtmx.me> - 0.15.10-1
- Initial package (rhbz#2273823).
